C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.ListAsync(
new ListActionsRequestParameters {
TriggerId = ActionTriggerTypeEnum.PostLogin,
ActionName = "actionName",
Deployed = true,
Page = 1,
PerPage = 1,
Installed = true
}
);
}
}{
"total": 1,
"page": 0,
"per_page": 20,
"actions": [
{
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}
]
}Get actions
Retrieve all actions.
GET
https://{tenantDomain}/api/v2
/
actions
/
actions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.ListAsync(
new ListActionsRequestParameters {
TriggerId = ActionTriggerTypeEnum.PostLogin,
ActionName = "actionName",
Deployed = true,
Page = 1,
PerPage = 1,
Installed = true
}
);
}
}{
"total": 1,
"page": 0,
"per_page": 20,
"actions": [
{
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}
]
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
An actions extensibility point.
Available options:
post-login, credentials-exchange, pre-user-registration, post-user-registration, post-change-password, send-phone-message, custom-phone-provider, custom-email-provider, password-reset-post-challenge, custom-token-exchange, event-stream, password-hash-migration, login-post-identifier, signup-post-identifier The name of the action to retrieve.
Optional filter to only retrieve actions that are deployed.
Use this field to request a specific page of the list results.
The maximum number of results to be returned by the server in single response. 20 by default
Optional. When true, return only installed actions. When false, return only custom actions. Returns all actions by default.
Was this page helpful?
⌘I